DataMiner - Check the configuration of the algorithms for the Proto Generic Workers.

Oct 09, 2018 04:32 PM - Giancarlo Panichi

Status: Closed Start date: Oct 09, 2018

Priority: High Due date:  

Assignee: Giancarlo Panichi % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: DataMiner - Provisioning   

Infrastructure: Production   

Description

The Proto Generic Workers have been configured to use the algorithms of production:

gcube@dataminer0-gw-proto:~/wps_algorithms/algorithms$ ls

prod

gcube@dataminer1-gw-proto:~/wps_algorithms/algorithms$ ls

prod

gcube@dataminer2-gw-proto:~/wps_algorithms/algorithms$ ls

prod

gcube@dataminer3-gw-proto:~/wps_algorithms/algorithms$ ls

prod

gcube@dataminer4-gw-proto:~/wps_algorithms/algorithms$ ls

prod

gcube@dataminer5-gw-proto:~/wps_algorithms/algorithms$ ls

prod

 These DataMiner should use Proto algorithms.

History

#1 - Oct 09, 2018 05:43 PM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Roberto Cirillo

#2 - Oct 10, 2018 10:04 AM - Roberto Cirillo

- Status changed from New to In Progress

I've never exectuted this kind of task. I hope it works as I expect

#3 - Oct 10, 2018 10:30 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Giancarlo Panichi

- % Done changed from 0 to 20

For testing, I've modified only dataminer0-gw-proto.d4science.org

Please @g.panichi@isti.cnr.it could you check if it is ok for you? if it's ok, I'm going to upgrade the other instances.

#4 - Oct 10, 2018 10:44 AM - Giancarlo Panichi

- Status changed from Feedback to In Progress

- Assignee changed from Giancarlo Panichi to Roberto Cirillo

Please @roberto.cirillo@isti.cnr.it, can you restart all DataMiner so that tomcat instances load the correct jar? Thanks.
#5 - Oct 10, 2018 10:51 AM - Roberto Cirillo

For the moment, I've upgraded only dataminer0-gw-proto.d4science.org. I'm going to change the other instances and restart 

#6 - Oct 10, 2018 11:09 AM - Roberto Cirillo

- Status changed from In Progress to Feedback

- Assignee changed from Roberto Cirillo to Giancarlo Panichi

- % Done changed from 20 to 100

All the instances have been changed and restarted. Please close this ticket if it is ok for you.

#7 - Oct 10, 2018 11:48 AM - Roberto Cirillo

- % Done changed from 100 to 0

the GetCapabilities doesn't work now. I guess because after the restart the dataminer try to use the deleted folder

/home/gcube/wps_algorithms/algorithms/prod/software

but I don't know where it is defined. Could anyone help me?

The exception is the following:

2018-10-10 11:36:29,776 [localhost-startStop-1] INFO  org.apache.catalina.startup.HostConfig- Deploying web ap

plication directory /home/gcube/tomcat/webapps/wps

2018-10-10 11:36:41,524 [localhost-startStop-1] ERROR org.apache.catalina.core.ContainerBase.[Catalina].[local

host].[/wps]- StandardWrapper.Throwable

java.lang.RuntimeException: java.nio.file.NoSuchFileException: /home/gcube/wps_algorithms/algorithms/prod/soft

ware

        at org.gcube.data.analysis.wps.repository.AlgorithmUpdater$WatcherThread.<init>(AlgorithmUpdater.java:

88)

        at org.gcube.data.analysis.wps.repository.AlgorithmUpdater.init(AlgorithmUpdater.java:54)

        at org.gcube.data.analysis.wps.repository.GcubeAlgorithmRepository.<init>(GcubeAlgorithmRepository.jav

a:32)

        at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)

        at sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:62)

        at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45

)

        at java.lang.reflect.Constructor.newInstance(Constructor.java:423)

        at java.lang.Class.newInstance(Class.java:442)

        at org.n52.wps.server.RepositoryManager.loadAllRepositories(RepositoryManager.java:115)

        at org.n52.wps.server.RepositoryManager.<init>(RepositoryManager.java:64)

        at org.n52.wps.server.RepositoryManager.getInstance(RepositoryManager.java:170)

        at org.n52.wps.server.CapabilitiesConfiguration.initProcessOfferings(CapabilitiesConfiguration.java:25

7)

        at org.n52.wps.server.CapabilitiesConfiguration.initSkeleton(CapabilitiesConfiguration.java:245)

        at org.n52.wps.server.CapabilitiesConfiguration.getInstance(CapabilitiesConfiguration.java:221)

        at org.n52.wps.server.CapabilitiesConfiguration.getInstance(CapabilitiesConfiguration.java:180)

        at org.n52.wps.server.CapabilitiesConfiguration.getInstance(CapabilitiesConfiguration.java:97)

        at org.gcube.data.analysis.wps.WebProcessingService.init(WebProcessingService.java:183)

        at org.apache.catalina.core.StandardWrapper.initServlet(StandardWrapper.java:1279)

        at org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:1192)

        at org.apache.catalina.core.StandardWrapper.load(StandardWrapper.java:1087)

        at org.apache.catalina.core.StandardContext.loadOnStartup(StandardContext.java:5247)

        at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5530)

        at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)

        at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901)

        at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877)

        at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:632)

        at org.apache.catalina.startup.HostConfig.deployDirectory(HostConfig.java:1229)

        at org.apache.catalina.startup.HostConfig$DeployDirectory.run(HostConfig.java:1875)

        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)

        at java.util.concurrent.FutureTask.run(FutureTask.java:266)

#8 - Oct 10, 2018 11:56 AM - Roberto Cirillo

The problem is in the web.xml file that have the old folder inside... I'm going to update the web.xml and restart the instances

#9 - Oct 10, 2018 12:23 PM - Roberto Cirillo

- % Done changed from 0 to 100

All the instances have been updated. Please @g.panichi@isti.cnr.it could you perform the last check?
#10 - Oct 10, 2018 04:09 PM - Giancarlo Panichi

I can confirm that the proto algorithms are installed correctly.

#11 - Oct 10, 2018 04:47 PM - Roberto Cirillo

- Status changed from Feedback to Closed
